Last modified: 2014-07-15 10:08:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 65438 - CPB: Use of "tooltipAccessKeyRegexp" is deprecated. Use jquery.accessKeyLabel instead.
CPB: Use of "tooltipAccessKeyRegexp" is deprecated. Use jquery.accessKeyLabel...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
VectorBeta (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy, javascript
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-05-17 14:56 UTC by Helder
Modified: 2014-07-15 10:08 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2014-05-17 14:56:17 UTC
Accessing
https://pt.wikipedia.org/wiki/Special:BlankPage?debug=1
causes this warning: "Use of "tooltipAccessKeyRegexp" is deprecated. Use jquery.accessKeyLabel instead."
Comment 1 Helder 2014-07-14 23:29:01 UTC
The code
https://github.com/wikimedia/mediawiki-extensions-VectorBeta/blob/master/resources/compactPersonalBar/compactPersonalBar.js#L91-L98
from module 'skins.vector.compactPersonalBar' was copied from mediawiki.util before the update
https://gerrit.wikimedia.org/r/#/c/125426/10/resources/src/mediawiki/mediawiki.util.js
and was not updated after that. It should have 'jquery.accessKeyLabel' as a dependency, and use this new plugin instead of the old method.

See
https://github.com/wikimedia/mediawiki-core/commit/2edfe7c80e052ea352881c772ce62639ece2e34a#diff-02729df1bac7fd5397ed7504c453c63c
for an example.
Comment 2 Gerrit Notification Bot 2014-07-15 00:40:16 UTC
Change 146351 had a related patch set uploaded by Alex Monk:
Fix use of mw.util.tooltipAccessKeyRegexp

https://gerrit.wikimedia.org/r/146351
Comment 3 Gerrit Notification Bot 2014-07-15 09:19:49 UTC
Change 146351 merged by jenkins-bot:
Fix use of mw.util.tooltipAccessKeyRegexp

https://gerrit.wikimedia.org/r/146351
Comment 4 Alex Monk 2014-07-15 10:08:40 UTC
Should be fixed now

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links